var soundFN = function(soundf) {
  return([ 'sounds/'+soundf+'.mp3', 'sounds/'+soundf+'.ogg' ]);
};

var Sound = {
  
  bye : new Howl({ src : soundFN('bye'), volume : 0.5, autoplay : false, loop : false }),
  meh : new Howl({ src : soundFN('meh'), volume : 0.5, autoplay : false, loop : false }),
  woohoo : new Howl({ src : soundFN('woohoo'), volume : 0.5, autoplay : false, loop : false }),
  yuck : new Howl({ src : soundFN('yuck'), volume : 0.5, autoplay : false, loop : false }),

  pch : new Howl({ src : soundFN('pch'), volume : 0.5, autoplay : false, loop : false }),
  pof : new Howl({ src : soundFN('pof'), volume : 0.5, autoplay : false, loop : false }),
  click : new Howl({ src : soundFN('click'), volume : 0.5, autoplay : false, loop : false }),
  pop : new Howl({ src : soundFN('pop'), volume : 0.5, autoplay : false, loop : false }),
  boom : new Howl({ src : soundFN('boom'), volume : 0.5, autoplay : false, loop : false }),
  
  lastSoundPlayedAt : 0,
  play : function(sf) {
    if(Sound.lastSoundPlayedAt < Stage.currentTime - 2) {
      Sound.lastSoundPlayedAt = Stage.currentTime;
      var snd = Sound[sf];
      if(!snd) {
        console.log('ERROR: sound file not found', sf);
      } else {
        snd.play();
      }
    }
  },
  
}