var Yikes = {
  
  recordSentiment : function(person, weight) {
    var standardEvent = true;
    if(!weight) 
      weight = 0.05;
    else
      standardEvent = false;
    var cweight = 1-weight;
    var totalFrustration = 0;
    each(person.needs, function(need, nkey) {
      if(!Game.state.yikes.needs[nkey])
        Game.state.yikes.needs[nkey] = 0;
      Game.state.yikes.needs[nkey] = Game.state.yikes.needs[nkey]*cweight + need.current*weight;
      if(!Game.state.yikes.frustrations[nkey])
        Game.state.yikes.frustrations[nkey] = 0;
      Game.state.yikes.frustrations[nkey] = Game.state.yikes.frustrations[nkey]*cweight + need.frustration*weight;
      totalFrustration += need.frustration;
    });
    
    if(!standardEvent) {
      var myRating = 5 - totalFrustration;
      Game.state.yikes.score += myRating*2;
      if(myRating < 0)
        myRating = 0;
      weight = weight * (5.1-myRating);
      cweight = 1-weight;
      Game.state.yikes.rating = Game.state.yikes.rating*cweight + myRating*weight;
      console.log('sentiment', weight, 'my', myRating, 'global-rating', Game.state.yikes.rating, 'frust', totalFrustration);
    }
  },
  
}